QImageFormatType(3qt)

NAME
QImageFormatType - Factory that makes QImageFormat objects

SYNOPSIS
#include <qasyncimageio.h>

  Public Members
virtual ~QImageFormatType ()
virtual QImageFormat * decoderFor ( const uchar * buffer, int length ) = 0
virtual const char * formatName () const = 0

  Protected Members
QImageFormatType ()

DESCRIPTION
The QImageFormatType class is a factory that makes QImageFormat objects.

Whereas the QImageIO class allows for complete loading of images, QImageFormatType allows for incremental loading of images.

New image file formats are installed by creating objects of derived classes of QImageFormatType. They must implement decoderFor() and formatName().

QImageFormatType is a very simple class. Its only task is to recognize image data in some format and make a new object, subclassed from QImageFormat, which can decode that format.

The factories for formats built into Qt are automatically defined before any other factory is initialized. If two factories would recognize an image format, the factory created last will override the earlier one; you can thus override current and future built-in formats.

See also Graphics Classes, Image Processing Classes, and Multimedia Classes.

MEMBER FUNCTION DOCUMENTATION

QImageFormatType::QImageFormatType () [protected]
Constructs a factory. It automatically registers itself with QImageDecoder.

QImageFormatType::~QImageFormatType () [virtual]
Destroys a factory. It automatically unregisters itself from QImageDecoder.

QImageFormat * QImageFormatType::decoderFor ( const uchar * buffer, int length ) [pure virtual]
Returns a decoder for decoding an image that starts with the bytes in buffer. The length of the data is given in length. This function should only return a decoder if it is certain that the decoder applies to data with the given header. Returns 0 if there is insufficient data in the header to make a positive identification or if the data is not recognized.

const char * QImageFormatType::formatName () const [pure virtual]
Returns the name of the format supported by decoders from this factory. The string is statically allocated.

SEE ALSO
http://doc.trolltech.com/qimageformattype.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qimageformattype.3qt) and the Qt version (3.3.7).